# Generated by go2rpm 1
%bcond_without check

# https://github.com/hashicorp/hcl/v2
%global goipath         github.com/hashicorp/hcl/v2
Version:                2.8.2

%gometa

%global common_description %{expand:
HCL (HashiCorp Configuration Language) is a configuration language built by
HashiCorp. The goal of HCL is to build a structured configuration language that
is both human and machine friendly for use with command-line tools, but
specifically targeted towards DevOps tools, servers, etc..}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md spec.md examples

Name:           %{goname}
Release:        6%{?dist}
Summary:        HashiCorp configuration language

# Upstream license specification: MPL-2.0
License:        MPLv2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/agext/levenshtein)
BuildRequires:  golang(github.com/apparentlymart/go-textseg/v12/textseg)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/mitchellh/go-wordwrap)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/zclconf/go-cty/cty)
BuildRequires:  golang(github.com/zclconf/go-cty/cty/convert)
BuildRequires:  golang(github.com/zclconf/go-cty/cty/function)
BuildRequires:  golang(github.com/zclconf/go-cty/cty/function/stdlib)
BuildRequires:  golang(github.com/zclconf/go-cty/cty/gocty)
BuildRequires:  golang(github.com/zclconf/go-cty/cty/json)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/apparentlymart/go-dump/dump)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/go-test/deep)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(github.com/kr/pretty)
BuildRequires:  golang(github.com/kylelemons/godebug/pretty)
BuildRequires:  golang(github.com/sergi/go-diff/diffmatchpatch)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
mapfile -t testfiles <<< $(find $(find . -iname 'test-fixtures' -type d) -type f)
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 17 17:09:23 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.8.2-1
- Update to 2.8.2

* Tue Aug 11 01:22:32 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.6.0-1
- Initial package
